%define upstream_name    Padre-Plugin-Nopaste
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Send code on a nopaste website from padre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Nopaste) >= 0.920.0
BuildRequires: perl(Carp) >= 1.260.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moo) >= 1.1.0
BuildRequires: perl(Padre) >= 0.960.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Try::Tiny) >= 0.120.0
BuildRequires: perl(constant) >= 1.270.0
BuildRequires: perl(parent) >= 0.225.0
BuildRequires: perl(strictures) >= 1.4.4
BuildArch:  noarch

Requires:   perl(parent)
%description
This plugin allows one to send stuff from Padre to a nopaste website with
Ctrl+Shift+V, allowing for easy code / whatever sharing without having to
open a browser.

It is using 'App::Nopaste' underneath, so check this module's pod for more
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-9.mga8
+ Revision: 1496287
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-8.mga7
+ Revision: 1270244
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1031617
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 949931
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 788684
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 739821
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.80.0-2.mga4
+ Revision: 537610
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.80.0-1.mga4
+ Revision: 487353
- update to 0.08

* Fri Jun 07 2013 jquelin <jquelin> 0.70.0-1.mga4
+ Revision: 439720
- update to 0.07

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 371444
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 298083
- update to 0.06

* Mon Jan 24 2011 jquelin <jquelin> 0.3.1-1.mga1
+ Revision: 37626
- mageia rebuild
- imported package perl-Padre-Plugin-Nopaste

